export const TreeData: any[] = [
  {
    tireName: '源系统层',
    themeEngName: 'SRC',
    description: '源系统归集层,即用于统一管理还未抽取数据到贴源层的系统',
    creator: '创建人1',
    createTime: '2024-10-27 10:04:04',
    updateTime: '2024-10-27 10:04:04',
    businessId: 401,
    institutionId: null,
  },
  {
    tireName: '数据贴源层',
    themeEngName: 'ODS',
    description:
      '用于接收并处理需要存储至数据仓库系统的原始数据，其数据表的结构与原始数据所在的数据系统中的表结构一致，是数据仓库的数据准备区。',
    creator: '创建人1',
    createTime: '2024-10-27 10:04:04',
    updateTime: '2024-10-27 10:04:04',
    businessId: 402,
    institutionId: null,
  },
  {
    tireName: '明细数据层',
    themeEngName: 'DWD',
    description: '在此层级中，将从ODS层中获得的数据按照主题建立各种数据模型。',
    creator: '创建人1',
    createTime: '2024-10-27 10:04:04',
    updateTime: '2024-10-27 10:04:04',
    businessId: 403,
    institutionId: null,
  },
  {
    tireName: '轻度汇总层',
    themeEngName: 'DWS',
    description: '在此层级中，将从ODS层中获得的数据按照主题建立各种数据模型。',
    creator: '创建人1',
    createTime: '2024-10-27 10:04:04',
    updateTime: '2024-10-27 10:04:04',
    businessId: 404,
    institutionId: null,
  },
  {
    tireName: '数据应用层',
    themeEngName: 'ADS',
    description:
      '在此层级中，按照业务划分，如流量、订单、用户等，生成字段比较多的宽表，用于提供后续的业务查询、OLAP分析、数据分发等。',
    creator: '创建人1',
    createTime: '2024-10-27 10:04:04',
    updateTime: '2024-10-27 10:04:04',
    businessId: 405,
    institutionId: null,
  },
  {
    tireName: '数据展示层',
    themeEngName: 'DP',
    description:
      '此层级主要是提供给数据产品和数据分析使用的数据，一般会存放在 ES、Mysql 等系统中供线上系统使用，也可能会存在 Hive 或者 Druid 中供数据分析和数据挖掘使用。',
    creator: '创建人1',
    createTime: '2024-10-27 10:04:04',
    updateTime: '2024-10-27 10:04:04',
    businessId: 406,
    institutionId: null,
  },
];

export const modelData: any[] = [
  {
    delFlag: '0',
    flag: '1',
    businessId: 309,
    username: 'yonghu1',
    nickName: '测试用户1',
    userType: '1',
    name: '测试用户1',
    createDate: '2024-10-24 10:04:04',
    institutionId: 105,
    institutionName: '财务部门',
    code: '123f',
    identity: '1',
    roleIds: null,
    roleNames: '三级用户',
    roleList: null,
    menuList: [],
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 310,
    username: 'yonghu2',
    nickName: '测试用户2',
    userType: '1',
    name: '测试用户2',
    createDate: '2024-10-25 10:05:05',
    sex: '0',
    institutionId: 105,
    institutionName: '财务部门',
    code: '123a',
    identity: '1',
    roleIds: null,
    roleNames: null,
    roleList: null,
    menuList: [],
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 317,
    username: 'yonghu3',
    nickName: '测试用户3',
    userType: '1',
    name: '测试用户3',
    createDate: '2024-10-26 10:06:06',
    sex: '1',
    institutionId: 102,
    institutionName: '研发部门',
    code: '123c',
    identity: '1',
    roleIds: null,
    roleNames: '超级管理员',
    roleList: null,
    menuList: [],
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 318,
    username: 'yonghu4',
    nickName: '测试用户4',
    userType: '1',
    name: '测试用户4',
    createDate: '2024-10-26 10:06:06',
    sex: '1',
    institutionId: 102,
    institutionName: '研发部门',
    code: '123b',
    identity: '1',
    roleIds: null,
    roleNames: '超级管理员',
    roleList: null,
    menuList: [],
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 319,
    username: 'yonghu5',
    nickName: '测试用户5',
    userType: '1',
    name: '测试用户5',
    createDate: '2024-10-26 10:06:06',
    sex: '1',
    institutionId: 102,
    institutionName: '研发部门',
    code: '123x',
    identity: '1',
    roleIds: null,
    roleNames: '超级管理员',
    roleList: null,
    menuList: [],
  },
];

export const editTableData: any[] = [
  {
    businessId: 1,
    name: '数据源',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '库名',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '表名',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '资产类型',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '表类型',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '表注释',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '存储类型',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '是否为事务表',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '创建时间',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '创建者',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '发布时间',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '发布者',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
];
export const editColumnData: any[] = [
  {
    businessId: 1,
    name: '列名',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '字段类型',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '字段类型参数',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '长度',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '精度',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '是否可为空',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '字段注释',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
];
export const editBucketData: any[] = [
  {
    businessId: 1,
    name: '分桶数',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '分桶字段',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '排序字段',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '排序方式',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
];
export const editAreaData: any[] = [
  {
    businessId: 1,
    name: '分区类型',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '分区字段',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '分区名',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
  {
    businessId: 1,
    name: '分区值',
    description: '',
    englishName: '',
    isWrite: 0,
    isShow: 0,
    type: '',
  },
];
